%define libname mesonbuild

Name:           meson
Version:        1.4.0
Release:        %mkrel 1
Summary:        High productivity build system
Group:          System/Configuration/Packaging
License:        ASL 2.0
URL:            http://mesonbuild.com/
Source0:        https://github.com/mesonbuild/meson/archive/%{version}/%{name}-%{version}.tar.xz
Source1:        meson.macros
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
Requires:       ninja

%description
Meson is a build system designed to optimize programmer
productivity. It aims to do this by providing simple, out-of-the-box
support for modern software development tools and practices, such as
unit tests, coverage reports, Valgrind, CCache and the like.

%prep
%setup -q
%autopatch -p1

# Remove MPI tests for now because it is complicated to run
rm -rf "test cases/frameworks/17 mpi"

%build
%py3_build

%install
%py3_install
install -Dpm0644 %SOURCE1 %{buildroot}%{_sysconfdir}/rpm/macros.d/%{name}.macros

find -type f -name '*.py' -executable -exec sed -i -e '1s|.*|#!%{__python3}|' {} ';'

%files
%{_bindir}/%{name}
%{python3_sitelib}/%{libname}/
%{python3_sitelib}/%{name}-*.egg-info/
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/rpm/macros.d/%{name}.macros
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Wed Mar 13 2024 tex - 1.4.0-1pclos2024
- new version

* Thu Feb 15 2024 tex - 1.3.2-1pclos2024
- new version

* Wed Dec 27 2023 tex - 1.3.1-1pclos2024
- new version

* Mon Nov 20 2023 tex - 1.3.0-1pclos2023
- new version

* Wed Oct 25 2023 tex - 1.2.3-1pclos2023
- new version

* Fri Sep 29 2023 tex- 1.2.2-1pclos2023
- new version

* Tue Aug 08 2023 tex - 1.2.1-1pclos2023
- new version

